Create Distributed Vlan Connection
Create a new Distributed VLAN Connection.
Create a new Distributed VLAN Connection.
Request
URI
POST
https://{api_host}/cloudapi/v1/distributedVlanConnections
COPY
Request Body
DistributedVlanConnection
of type(s)
application/json
Optional
{
"status": "string",
"id": "urn:vcloud:distributedVlanConnection:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"description": "string",
"vlanId": 0,
"gatewayCidr": "10.10.10.1/24",
"regionRef": {
"name": "string",
"id": "string"
},
"zoneRefs": [
{
"name": "string",
"id": "string"
}
],
"ipSpaceRef": {
"name": "string",
"id": "string"
},
"subnetExclusive": false,
"backingId": "string",
"dedicatedOrgRef": {
"name": "string",
"id": "string"
},
"dedicatedSharedSubnetRef": {
"name": "string",
"id": "string"
}
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"gatewayCidr":"string","name":"string","regionRef":"object","vlanId":"integer"}' https://{api_host}/cloudapi/v1/distributedVlanConnections
Availability
Added in 9.1.0
Distributed Vlan Connections Operations
GET
Get Distributed Vlan Connections
POST
Create Distributed Vlan Connection
GET
Get Distributed Vlan Connection
PUT
Update Distributed Vlan Connection
DELETE
Delete Distributed Vlan Connection